{% load gestion_projets_extras %}


<div class="remark primary">
    <p><b>Explication :</b> En tant que tuteur, rien à faire dans cette étape, les étudiants doivent juste créer un groupe et classer les sujets par ordre de préférence.</p>
</div>
<!--div class="grid">
    <div class="row">
    {% for project in session.project_set.all %}
        {% if project.subject.user == user %}
        <div class="cell-lg-6">
            <!-- Affichage tous les projets du tuteur -->
            <!--table class="table">
                <thead>
                <tr>
                    <th>Votre sujet</th>
                    <th>Action</th>
                </tr>
                </thead>
                <tr>
                    <td>
                        <b>Titre :</b> {{ project.subject.title }}<br>
                        <b>Tuteur :</b> {{ project.subject.user.first_name }} {{ project.subject.user.last_name }}<br>
                        <b>Membres du projet:</b>
                        <ul>
                        {% for userProject in project.users.all %}
                            <li>{{ userProject.first_name }} {{ userProject.last_name }}</li>
                        {% endfor %}
                        </ul>
                        <b>Nombre des membres :</b> {{ project.users.count }} / 4<br>
                        <b>Validation Tuteur : </b> 
                        {% if project.is_valid_tutor %}
                            <span class="pl-10-md mif-checkmark mif-2x fg-green"></span>
                        {% else %}
                            <span class="pl-10-md mif-cross mif-2x fg-red"></span>
                        {% endif %}<br>
                        <b>Validation Responsable : </b> 
                        {% if project.is_valid_admin %}
                            <span class="pl-10-md mif-checkmark mif-2x fg-green"></span>
                        {% else %}
                            <span class="pl-10-md mif-cross mif-2x fg-red"></span>
                        {% endif %}<br>
                        {% if project.users.count > 4 %}<!-- TODO : modifier la valeur 1 -->
                            <!--div class="remark warning">Nombre de personnes trop importantes</div>
                        {% endif %}
                    </td>
                    <td>
                        {% if project.is_valid_tutor %}
                            <a class="image-button warning" title="Anuler la validation du sujet" href="{% url 'gestion_projets:project_validate_tutor' session.id project.id %}"><center>
                                <span class="mif-cross icon"></span>
                                <span class="caption">Annuler Validation</span></center>
                            </a>
                        {% else %}
                            <a class="image-button warning" title="Valider le sujet" href="{% url 'gestion_projets:project_validate_tutor' session.id project.id %}"><center>
                                <span class="mif-checkmark icon"></span>
                                <span class="caption">Valider</span></center>
                            </a>
                        {% endif %}

                    </td>
                </tr>
            </table>
        </div>
        {% endif %}
    {% endfor %}
    </div>
</div-->

